[Git][debian-gis-team/libapache2-mod-tile][master] Handle example-map configuration.
Felix Delattre
gitlab at salsa.debian.org
Thu Sep 3 17:32:34 BST 2020
Felix Delattre pushed to branch master at Debian GIS Project / libapache2-mod-tile
Commits:
edfb17d2 by Felix Delattre at 2020-09-03T15:14:22+00:00
Handle example-map configuration.
- - - - -
4 changed files:
- debian/etc/renderd/renderd.conf
- + debian/renderd-example-map.preinst
- + debian/renderd-example-map.prerm
- debian/rules
Changes:
=====================================
debian/etc/renderd/renderd.conf
=====================================
@@ -8,7 +8,3 @@ tile_dir=/var/cache/renderd/tiles
plugins_dir=/usr/lib/mapnik/3.0/input
font_dir=/usr/share/fonts/truetype
font_dir_recurse=true
-
-[example-map]
-URI=/renderd-example/tiles/
-XML=/usr/share/renderd/example-map/mapnik.xml
=====================================
debian/renderd-example-map.preinst
=====================================
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = install ] ; then
+
+ # uncomment example config section
+ if [ -f /etc/renderd.conf ] ; then
+ sed -i '$ a \[example-map\]\nURI=\/renderd-example\/tiles\/\nXML=\/usr\/share\/renderd\/example-map\/mapnik.xml\n' /etc/renderd.conf
+ fi
+ if [ -f /etc/renderd.conf.dpkg-new ] ; then
+ sed -i '$ a \\n[example-map\]\nURI=\/renderd-example\/tiles\/\nXML=\/usr\/share\/renderd\/example-map\/mapnik.xml\n' /etc/renderd.conf.dpkg-new
+ fi
+fi
+
+#DEBHELPER#
=====================================
debian/renderd-example-map.prerm
=====================================
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+# comment-out example config section
+if [ -f /etc/renderd.conf ] ; then
+ sed -i '/\[example-map\]/,/XML=\/usr\/share\/renderd\/example-map\/mapnik.xml/d' /etc/renderd.conf
+fi
+
+#DEBHELPER#
=====================================
debian/rules
=====================================
@@ -11,10 +11,5 @@ export DEB_BUILD_MAINT_OPTIONS=hardening=+all
override_dh_auto_test:
dh_auto_test || echo "Ignoring test failures"
-override_dh_install:
- $(RM) $(CURDIR)/debian/tmp/etc/renderd.conf
-
- dh_install --list-missing
-
get-orig-source:
. debian/get-orig-source
View it on GitLab: https://salsa.debian.org/debian-gis-team/libapache2-mod-tile/-/commit/edfb17d2f7585a209a83b1b352d62e881594b6c5
--
View it on GitLab: https://salsa.debian.org/debian-gis-team/libapache2-mod-tile/-/commit/edfb17d2f7585a209a83b1b352d62e881594b6c5
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-grass-devel/attachments/20200903/051b85a0/attachment-0001.html>
More information about the Pkg-grass-devel
mailing list